%define oname      TuxMathScrabble
#%define pythonlibs %python_sitelibdir/asymptopia
%define pythonlibs %python_sitelibdir/%oname

Name: tuxmathscrabble
Version: 0.5.4
Release: alt2

Summary: A math version of the popular board game for ages 4-40

Packager: Vitaly Lipatov <lav@altlinux.ru>

Group: Games/Boards
Url: http://www.asymptopia.org/index.php?topic=TuxMathScrabble
License: GPL

BuildArch: noarch

# See download link at Url
Source: http://prdownloads.sourceforge.net/tuxmathscrabble/%oname-%version.tar.bz2

Patch: TuxMathScrabble-0.5.4-fixpath.patch

# Automatically added by buildreq on Sun Jul 06 2008
BuildRequires: python-base

%description
TuxMathScrabble is an OpenSource math version of the popular board game for
ages 4-40. it challenges young people to construct compound equations and
consider multiple abstract possibilities. There are 4 skill levels, the
hardest uses numbers up to 20 and supports division as well as
add/subtract/multiply. Upon completing a successful move little Tux's
pop-out of the most recently moved tiles and do a little dance. Tux moves
his own pieces as well as performing various animated antics.

%prep
%setup -q -n %oname
%patch

%install
mkdir -p %buildroot%pythonlibs/
cp -R %oname/* %buildroot%pythonlibs/

mkdir -p %buildroot%_gamesdatadir/%oname/
# why we need distribute Monotype font here?
rm -f Font/times.ttf
cp -R Font Globals %buildroot%_gamesdatadir/%oname/

install -D %oname.py %buildroot%_gamesbindir/%name

mkdir -p %buildroot%_desktopdir
cat > %buildroot%_desktopdir/%name.desktop << EOF
[Desktop Entry]
Name=TuxMathScrabble
Comment=Fun game to learn math
Exec=%_gamesbindir/%name
Icon=%name
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

find %buildroot -name .xvpics | xargs rm -Rf

%post
%update_menus

%postun
%update_menus

%files
%_gamesbindir/%name
%pythonlibs/
%_gamesdatadir/%oname/
%_desktopdir/%name.desktop

%changelog
* Sun Jul 06 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt2
- remove times.ttf from package

* Sun Jul 06 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt1
- initial build for ALT Linux Sisyphus

* Tue Dec 18 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.0-0.2mdv2008.1
+ Revision: 132015
- New version 0.5.0 Rc2
  Fix patch in Environment.py ( patch from PCLinuxOS )

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.5.0-0.1mdv2008.1
+ Revision: 119664
- New pre version of 0.5.0

* Fri Dec 14 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:0.4.5-1mdv2008.1
+ Revision: 119591
- New version 0.4.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.4-2mdv2007.0
+ Revision: 89589
- Fix File List
- New version 3.0.4
- import tuxmathscrabble-2.7-1mdk

* Mon Jan 17 2005 Michael Scherer <misc@mandrake.org> 2.7-1mdk
- misc cleanup
- from jean-sebastien HUBERT <jshubert@free.fr>
  - first release for Linux-Mandrake

